> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincode.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Beneficiary

> Creates a new beneficiary profile.

This endpoint creates a new beneficiary profile. For Bank Transfers, this is typically called **after** validating the bank account details.


## OpenAPI

````yaml POST /usermanagement/new-beneficiary
openapi: 3.0.0
info:
  title: FinCode API
  version: v6
servers:
  - url: https://{tenant}.fincode.software/api/v6/services
    description: API v6
    variables:
      tenant:
        default: remitjunction
        description: Enter your tenant subdomain
  - url: https://{tenant}.fincode.software/api/v1/services
    description: API v1
    variables:
      tenant:
        default: finlend
        description: Enter your tenant subdomain
  - url: https://api.stag.songhaiexchange.io
    description: Songhai Exchange API
security: []
paths:
  /usermanagement/new-beneficiary:
    post:
      summary: Create Beneficiary
      description: Creates a new beneficiary
      operationId: createBeneficiary
      parameters:
        - $ref: '#/components/parameters/platformHeader'
        - $ref: '#/components/parameters/uuidHeader'
        - in: header
          name: X-Auth-Token
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                senderCode:
                  type: string
                firstName:
                  type: string
                lastName:
                  type: string
                beneficiaryName:
                  type: string
                type:
                  type: string
                  default: INDIVIDUAL
                phone:
                  type: string
                address:
                  type: object
              required:
                - senderCode
                - firstName
                - lastName
                - beneficiaryName
      responses:
        '200':
          description: Beneficiary created
components:
  parameters:
    platformHeader:
      in: header
      name: platform
      schema:
        type: string
        default: fincode
      required: true
    uuidHeader:
      in: header
      name: uuid
      schema:
        type: string
        default: '200'
      required: true

````